ACN::SDT::SessionId Struct Reference

3.1 Session Identity More...

`#include <session.h>`

## Public Member Functions

bool | operator== (const SessionId &) const
| SessionId::operator == sessionID comparitor. More...

## Public Attributes

UUID::uuid | cid
| the component ID (CID) of the session leader
uint16_t | number
| the session number the leader has assigned
uint32_t | protocol
| the ID of the protocol carried by the session

## Detailed Description

3.1 Session Identity

## Member Function Documentation

## operator==()

bool ACN::SDT::SessionId::operator== | ( | const SessionId & | other | ) | const

SessionId::operator == sessionID comparitor.

Parameters

  other |

Returns

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/session.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/session.cpp